Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Simple_Declarator Class Reference

**************************************************************** More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Simple_Declarator:

[legend]
Collaboration diagram for TAO_PSDL_Simple_Declarator:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Simple_Declarator (TAO_PSDL_Node *identifier)
| ****************************************************************
| TAO_PSDL_Simple_Declarator (TAO_PSDL_Node *identifier, TAO_PSDL_Node *simple_declarator)
virtual | ~TAO_PSDL_Simple_Declarator (void)
TAO_PSDL_Node * | identifier (void) const
| Get the value.
TAO_PSDL_Node * | simple_declarator (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.
## Private Attributes
TAO_PSDL_Node * | identifier_
| The values.
TAO_PSDL_Node * | simple_declarator_

## Detailed Description

****************************************************************

## Constructor & Destructor Documentation

TAO_PSDL_Simple_Declarator::TAO_PSDL_Simple_Declarator | ( | TAO_PSDL_Node * | identifier | ) |

| ****************************************************************

TAO_PSDL_Simple_Declarator::TAO_PSDL_Simple_Declarator | ( | TAO_PSDL_Node * | identifier,
|  | TAO_PSDL_Node * | simple_declarator
| ) |

TAO_PSDL_Simple_Declarator::~TAO_PSDL_Simple_Declarator | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Simple_Declarator::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Implements TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Simple_Declarator::identifier | ( | void |  | ) | const

| Get the value.

TAO_PSDL_Node * TAO_PSDL_Simple_Declarator::simple_declarator | ( | void |  | ) | const

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Simple_Declarator::identifier_`[private]`

| The values.

TAO_PSDL_Node* TAO_PSDL_Simple_Declarator::simple_declarator_`[private]`

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp